summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author ktabic <rdc@ktabic.co.uk>2010-05-11 20:00:04 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:04 +0200
commit326a3aeda50811e8a31a81431da0331d269e7d08 (patch)
tree0b3d4e0c3d8dbceba028c51a45caa826ca9ba1ba /desktop
parenta1e120aeb99e02e6061063422fe8552d90ad2bab (diff)
downloadslackbuilds-326a3aeda50811e8a31a81431da0331d269e7d08.tar.gz
slackbuilds-326a3aeda50811e8a31a81431da0331d269e7d08.tar.xz
desktop/cellwriter: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cellwriter/README8
-rw-r--r--desktop/cellwriter/cellwriter.SlackBuild87
-rw-r--r--desktop/cellwriter/cellwriter.info8
-rw-r--r--desktop/cellwriter/doinst.sh3
-rw-r--r--desktop/cellwriter/slack-desc19
5 files changed, 125 insertions, 0 deletions
diff --git a/desktop/cellwriter/README b/desktop/cellwriter/README
new file mode 100644
index 0000000000..540eeb14e8
--- /dev/null
+++ b/desktop/cellwriter/README
@@ -0,0 +1,8 @@
+CellWriter
+
+CellWriter is a grid-entry natural handwriting input panel. As you write
+characters into the cells, your writing is instantly recognized at the
+character level. When you press 'Enter' on the panel, the input you entered is
+sent to the currently focused application as if typed on the keyboard.
+
+Please see the website for more information: http://risujin.org/cellwriter
diff --git a/desktop/cellwriter/cellwriter.SlackBuild b/desktop/cellwriter/cellwriter.SlackBuild
new file mode 100644
index 0000000000..22453195c0
--- /dev/null
+++ b/desktop/cellwriter/cellwriter.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Copyright 2008 by ktabic (rdc@ktabic.co.uk)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+
+# Modified by the SlackBuilds.org Project
+
+PRGNAM=cellwriter
+VERSION=1.3.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --without-gnome
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRNGAM.SlackBuild
+
+#Fix the desktop file.
+sed -i 's#Icon=cellwriter#Icon=/usr/share/pixmaps/cellwriter.xpm#' $PKG/usr/share/applications/cellwriter.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/cellwriter/cellwriter.info b/desktop/cellwriter/cellwriter.info
new file mode 100644
index 0000000000..e6630c2c95
--- /dev/null
+++ b/desktop/cellwriter/cellwriter.info
@@ -0,0 +1,8 @@
+PRGNAM="cellwriter"
+VERSION="1.3.3"
+HOMEPAGE="http://risujin.org/cellwriter/"
+DOWNLOAD="http://pub.risujin.org/latest.php?cellwriter/cellwriter-1.3.3.tar.gz"
+MD5SUM="09b2019e926d5ef42d52edb2dd33ceae"
+MAINTAINER="ktabic"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="Michiel" \ No newline at end of file
diff --git a/desktop/cellwriter/doinst.sh b/desktop/cellwriter/doinst.sh
new file mode 100644
index 0000000000..7ebfa3ab4d
--- /dev/null
+++ b/desktop/cellwriter/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/desktop/cellwriter/slack-desc b/desktop/cellwriter/slack-desc
new file mode 100644
index 0000000000..054ff6e266
--- /dev/null
+++ b/desktop/cellwriter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cellwriter: CellWriter (an gtk based natural handwriting input panel)
+cellwriter:
+cellwriter: CellWriter is a grid-entry natural handwriting input panel. As you
+cellwriter: write characters into the cells, your writing is instantly
+cellwriter: recognized at the character level. When you press 'Enter' on the
+cellwriter: panel, the input you entered is sent to the currently focused
+cellwriter: application as if typed on the keyboard.
+cellwriter:
+cellwriter: more information: http://risujin.org/cellwriter
+cellwriter:
+cellwriter: Michael Levin <risujin@risujin.org>